#!/usr/bin/python
#
# A pre-processor for gnuplot to plot DHT22 log
# 17 August, 2018
# by FUJIWARA Teruyoshi <tf@dsl.gr.jp>
#

import re
import sys
import argparse
import datetime

parser = argparse.ArgumentParser()

parser.add_argument('inputFile', help='Input file')
parser.add_argument('--offset', '-o', type=int, default=0, help='Pick up lines with a ate with specified offset.')
parser.add_argument('--outputFile', action='store_true', default=False, help='Output file in a file.')

args = parser.parse_args()

d = datetime.datetime.now()
d_offset = d + datetime.timedelta(days = args.offset)

regex = "^{0:%Y/%m/%d }".format(d_offset)
pattern =  re.compile(regex)

if args.outputFile:
    path = args.inputFile + ".{0:%Y-%m-%d}".format(d_offset)
    output_file = open(path, mode='w')
    sys.stdout = output_file

with open(args.inputFile) as input_file:
    for line in input_file:
        if re.match(pattern, line):
            sys.stdout.write(line)
