//
// DHT22 logger for Node.js
// 12 August, 2018
// by FUJIWARA Teruyoshi <tf@dsl.gr.jp>
//

// This program requires node-dht-sensor: https://github.com/momenso/node-dht-sensor

var sensor_lib = require('node-dht-sensor');

var dht_type = 22;
var gpio_pin = 14;
var time_update = 5000; // The DHT22 speification requires a value more than 2000.

var sensor = {
  initialize: function() {
    return sensor_lib.initialize(dht_type, gpio_pin);
  },
  read: function() {
    var readout = sensor_lib.read();
    console.log('T: ' + readout.temperature.toFixed(1) + 'C, ' +
                'H: ' + readout.humidity.toFixed(1) + '%');
    setTimeout(function() {
      sensor.read();
    }, time_update);
  }
};

if (sensor.initialize()) {
  sensor.read();
} else {
  console.warn('Failed to initialize the sensor. ');
}

