#!/usr/bin/python
#
# DHT22 logger for Python
# 12 August, 2018
# by FUJIWARA Teruyoshi <tf@dsl.gr.jp>
#

# This program requires Adafruit_Python_DHT: https://github.com/adafruit/Adafruit_Python_DHT

import Adafruit_DHT as DHT
import time
import datetime as dt

SENSOR_TYPE = DHT.DHT22
DHT_GPIO = 14
SLEEP_TIME = 5 # the DHT22 specification requires a value more than 2.

while True:
    humidity, temperature = DHT.read_retry(SENSOR_TYPE, DHT_GPIO)
    now = dt.datetime.now()
    print str(now) + ", T: {0:0.1f}C, H: {1:0.1f}%" . format(temperature, humidity)
    time.sleep(SLEEP_TIME)
